# Uses of Class
org.eclipse.core.databinding.observable.set.SetDiff

Packages that use SetDiff
Package
Description
org.eclipse.core.databinding.observable
Provides the core APIs for observing changes in objects.
org.eclipse.core.databinding.observable.set
Provides classes that can be used to observe changes in sets.
org.eclipse.core.databinding.property.set

## Uses of SetDiff in org.eclipse.core.databinding.observable

Methods in org.eclipse.core.databinding.observable that return SetDiff
Modifier and Type
Method
Description
`static <E> SetDiff<E>`
Diffs.`computeLazySetDiff(Set<? extends E> oldSet, Set<? extends E> newSet)`
Returns a lazily computed `SetDiff` describing the change between the specified old and new set states.
`static <E> SetDiff<E>`
Diffs.`computeSetDiff(Set<? extends E> oldSet, Set<? extends E> newSet)`
Returns a `SetDiff` describing the change between the specified old and new set states.
`static <E> SetDiff<E>`
Diffs.`createSetDiff(Set<? extends E> additions, Set<? extends E> removals)`
`static <E> SetDiff<E>`
Diffs.`unmodifiableDiff(SetDiff<? extends E> diff)`
Returns an unmodifiable wrapper on top of the given diff.
Methods in org.eclipse.core.databinding.observable with parameters of type SetDiff
Modifier and Type
Method
Description
`static <E> SetDiff<E>`
Diffs.`unmodifiableDiff(SetDiff<? extends E> diff)`
Returns an unmodifiable wrapper on top of the given diff.

## Uses of SetDiff in org.eclipse.core.databinding.observable.set

Fields in org.eclipse.core.databinding.observable.set declared as SetDiff
Modifier and Type
Field
Description
`SetDiff<E>`
SetChangeEvent.`diff`
Description of the change to the source observable set.
Methods in org.eclipse.core.databinding.observable.set with parameters of type SetDiff
Modifier and Type
Method
Description
`protected void`
AbstractObservableSet.`fireSetChange(SetDiff<E> diff)`
`protected void`
DecoratingObservableSet.`fireSetChange(SetDiff<E> diff)`
`protected void`
ObservableSet.`fireSetChange(SetDiff<E> diff)`
Constructors in org.eclipse.core.databinding.observable.set with parameters of type SetDiff
Modifier
Constructor
Description
``
`SetChangeEvent(IObservableSet<E> source, SetDiff<E> diff)`
Creates a new set change event.

## Uses of SetDiff in org.eclipse.core.databinding.property.set

Methods in org.eclipse.core.databinding.property.set with parameters of type SetDiff
Modifier and Type
Method
Description
`protected abstract void`
SimpleSetProperty.`doSetSet(S source, Set<E> set, SetDiff<E> diff)`
Updates the property on the source with the specified change.
`protected void`
DelegatingSetProperty.`doUpdateSet(S source, SetDiff<E> diff)`
`protected void`
SetProperty.`doUpdateSet(S source, SetDiff<E> diff)`
Updates the property on the source with the specified change.
`protected void`
SimpleSetProperty.`doUpdateSet(S source, SetDiff<E> diff)`
`protected void`
UnionSetProperty.`doUpdateSet(S source, SetDiff<E> diff)`
`final void`
SimpleSetProperty.`setSet(S source, Set<E> set, SetDiff<E> diff)`
Updates the property on the source with the specified change.
`void`
ISetProperty.`updateSet(S source, SetDiff<E> diff)`
Updates the property on the source with the specified change.
`final void`
SetProperty.`updateSet(S source, SetDiff<E> diff)`
Method parameters in org.eclipse.core.databinding.property.set with type arguments of type SetDiff
Modifier and Type
Method
Description
`abstract INativePropertyListener<S>`
SimpleSetProperty.`adaptListener(ISimplePropertyListener<S,SetDiff<E>> listener)`
Returns a listener capable of adding or removing itself as a listener on a source object using the the source's "native" listener API.